Skip to content

Data Access Logs

Operations Summary

Method Endpoint Description
GET /api/data-access-logs/ List Data Access Logs
GET /api/data-access-logs/{uuid}/ Retrieve
DELETE /api/data-access-logs/{uuid}/ Delete

List Data Access Logs

1
2
3
4
http \
  GET \
  https://api.example.com/api/data-access-logs/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.accessor_type_enum import AccessorTypeEnum # (1)
from waldur_api_client.models.global_user_data_access_log_o_enum import GlobalUserDataAccessLogOEnum # (2)
from waldur_api_client.api.data_access_logs import data_access_logs_list # (3)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = data_access_logs_list.sync(client=client)

for item in response:
    print(item)
  1. Model Source: AccessorTypeEnum
  2. Model Source: GlobalUserDataAccessLogOEnum
  3. API Source: data_access_logs_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { dataAccessLogsList } from 'waldur-js-client';

try {
  const response = await dataAccessLogsList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
accessor_type string Type of accessor


Enum: staff, support, organization_member, service_provider, self
accessor_uuid string (uuid)
end_date string (date)
o array Ordering

page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
query string
start_date string (date)
user_uuid string (uuid)

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
uuid string (uuid)
timestamp string (date-time)
accessor_type string
Enum: staff, support, organization_member, service_provider, self
accessed_fields array of strings
user object
user.uuid string (uuid)
user.username string
user.full_name string
accessor object
accessor.uuid string (uuid)
accessor.username string
accessor.full_name string
ip_address any An IPv4 or IPv6 address.
context object (free-form)

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/data-access-logs/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.data_access_logs import data_access_logs_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = data_access_logs_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: data_access_logs_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { dataAccessLogsRetrieve } from 'waldur-js-client';

try {
  const response = await dataAccessLogsRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
uuid string (uuid)
timestamp string (date-time)
accessor_type string
Enum: staff, support, organization_member, service_provider, self
accessed_fields array of strings
user object
user.uuid string (uuid)
user.username string
user.full_name string
accessor object
accessor.uuid string (uuid)
accessor.username string
accessor.full_name string
ip_address any An IPv4 or IPv6 address.
context object (free-form)

Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/data-access-logs/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.data_access_logs import data_access_logs_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = data_access_logs_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: data_access_logs_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { dataAccessLogsDestroy } from 'waldur-js-client';

try {
  const response = await dataAccessLogsDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body